Runtime

## org.eclipse.gmf.runtime.common.core.util
Interface INullObject

public interface INullObject

A specification of classes that implement the Null Object pattern. Implementors of this interface have a unique instance that represents a pointer-safe `null`. The interpretation of `null` may vary; it may mean absence of a value, invalid value, etc.

API clients should not implement this interface.

Method Summary
`boolean` `isNull()` Queries whether `this` is the `null` instance of a given implementation class.

Method Detail

### isNull

    public boolean isNull()

  Queries whether `this` is the `null` instance of a given implementation class. The `null` instance must be unique.

  Returns:
    `true` if I am the special "null" instance; `false`, otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.